---
- name: Install prerequisites
  ansible.builtin.apt:
    name:
      - software-properties-common
      - ca-certificates
      - gnupg
      - rsync
    update_cache: true
    state: latest
  become: true
  tags: skip_ansible_lint

- name: Add MariaDB repo key
  ansible.builtin.apt_key:
    keyserver: "{{ galera_mariadb_repo_url }}"
    id: "{{ galera_mariadb_repo_key }}"
    state: present
  become: true

- name: Add MariaDB repo
  ansible.builtin.apt_repository:
    repo: "{{ galera_mariadb_repository }}"
    state: present
    filename: mariadb
  become: true

- name: Install MariaDB
  ansible.builtin.apt:
    name:
      - "mariadb-server"
      - "mariadb-client"
    update_cache: true
    state: latest
  become: true
  tags: skip_ansible_lint
  notify: Start and enable MariaDB

- name: Create config 50-server.cnf
  ansible.builtin.template:
    src: "50-server.cnf.j2"
    dest: "/etc/mysql/mariadb.conf.d/50-server.cnf"
    owner: root
    group: root
    mode: 0644
  become: true
  notify: Restart MariaDB

- name: Open ports
  ansible.builtin.iptables:
    chain: INPUT
    protocol: tcp
    destination_ports:
      - "3306"
    jump: ACCEPT
  become: true
